/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Ployrung;

//import dao.ProductDao;
import Watchara.MainFrame;
import database.Database;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.table.DefaultTableModel;
//import model.Product;

/**
 *
 * @author Admin
 */
public class ProductSale extends javax.swing.JFrame {

    /**
     * Creates new form ProductSale
     */
    public ProductSale() {
        initComponents();
    }

    int qty;
    double sum,price, total;
    String name;
    ProductDao dao = new ProductDao();
    DefaultTableModel model = new DefaultTableModel();

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        lblPage = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        productID1 = new javax.swing.JCheckBox();
        productID2 = new javax.swing.JCheckBox();
        productID3 = new javax.swing.JCheckBox();
        productID4 = new javax.swing.JCheckBox();
        productID5 = new javax.swing.JCheckBox();
        productID6 = new javax.swing.JCheckBox();
        productID7 = new javax.swing.JCheckBox();
        productID8 = new javax.swing.JCheckBox();
        productID9 = new javax.swing.JCheckBox();
        productID10 = new javax.swing.JCheckBox();
        qtyID1 = new javax.swing.JSpinner();
        qtyID2 = new javax.swing.JSpinner();
        qtyID3 = new javax.swing.JSpinner();
        qtyID4 = new javax.swing.JSpinner();
        qtyID5 = new javax.swing.JSpinner();
        qtyID6 = new javax.swing.JSpinner();
        qtyID7 = new javax.swing.JSpinner();
        qtyID8 = new javax.swing.JSpinner();
        qtyID9 = new javax.swing.JSpinner();
        qtyID10 = new javax.swing.JSpinner();
        btnAdd = new javax.swing.JButton();
        btnClear = new javax.swing.JButton();
        btnBack = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        tableList = new javax.swing.JTable();
        lblTotal = new javax.swing.JLabel();
        lblCash = new javax.swing.JLabel();
        lblChange = new javax.swing.JLabel();
        txtTotal = new javax.swing.JTextField();
        txtCash = new javax.swing.JTextField();
        txtChange = new javax.swing.JTextField();
        lblCurrency = new javax.swing.JLabel();
        lblCurrency1 = new javax.swing.JLabel();
        lblCurrency2 = new javax.swing.JLabel();
        btnBill = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jPanel1.setBackground(new java.awt.Color(182, 173, 144));

        lblPage.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        lblPage.setText("หน้าขายสินค้า");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(399, 399, 399)
                .addComponent(lblPage)
                .addContainerGap(400, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(lblPage)
                .addGap(23, 23, 23))
        );

        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "สินค้า", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("TH SarabunPSK", 1, 36))); // NOI18N

        productID1.setFont(new java.awt.Font("TH SarabunPSK", 1, 16)); // NOI18N
        productID1.setText("Hot Espresso");

        productID2.setText("Hot Americano");

        productID3.setText("Iced Espresso");

        productID4.setText("Hot Fresh Milk");

        productID5.setText("Ice CoCoa");

        productID6.setText("BlueBerry Soda");

        productID7.setText("Straw Berry Soda");

        productID8.setText("Red Velvet Cake");

        productID9.setText("Coconut Cake");

        productID10.setText("Ice Green tea Latte");

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(productID1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(qtyID1, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(productID3)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(qtyID3, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(productID10)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 79, Short.MAX_VALUE)
                        .addComponent(qtyID10, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(productID2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(qtyID2, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(productID4)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(qtyID4, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(productID5)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(qtyID5, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(productID6)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(qtyID6, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(productID7)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(qtyID7, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(productID8)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(qtyID8, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(productID9)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(qtyID9, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(productID1)
                    .addComponent(qtyID1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(productID2)
                    .addComponent(qtyID2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(productID3)
                    .addComponent(qtyID3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(productID4)
                    .addComponent(qtyID4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(productID5)
                    .addComponent(qtyID5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(productID6)
                    .addComponent(qtyID6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(productID7)
                    .addComponent(qtyID7, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(productID8)
                    .addComponent(qtyID8, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(productID9)
                    .addComponent(qtyID9, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(productID10)
                    .addComponent(qtyID10, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(0, 0, Short.MAX_VALUE))
        );

        btnAdd.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        btnAdd.setText("เพิ่ม");
        btnAdd.setMaximumSize(new java.awt.Dimension(100, 100));
        btnAdd.setMinimumSize(new java.awt.Dimension(100, 100));
        btnAdd.setPreferredSize(new java.awt.Dimension(100, 100));
        btnAdd.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAddActionPerformed(evt);
            }
        });

        btnClear.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        btnClear.setText("ยกเลิก");
        btnClear.setMaximumSize(new java.awt.Dimension(100, 100));
        btnClear.setMinimumSize(new java.awt.Dimension(100, 100));
        btnClear.setPreferredSize(new java.awt.Dimension(100, 100));
        btnClear.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnClearActionPerformed(evt);
            }
        });

        btnBack.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        btnBack.setText("ย้อนกลับ");
        btnBack.setMaximumSize(new java.awt.Dimension(100, 100));
        btnBack.setMinimumSize(new java.awt.Dimension(100, 100));
        btnBack.setPreferredSize(new java.awt.Dimension(100, 100));
        btnBack.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnBackActionPerformed(evt);
            }
        });

        tableList.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "NAME", "PRICE", "QTY.", "TOTAL"
            }
        ) {
            Class[] types = new Class [] {
                java.lang.String.class, java.lang.Double.class, java.lang.Integer.class, java.lang.Double.class
            };

            public Class getColumnClass(int columnIndex) {
                return types [columnIndex];
            }
        });
        jScrollPane1.setViewportView(tableList);

        lblTotal.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        lblTotal.setText("ราคารวม: ");

        lblCash.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        lblCash.setText("รับเงินสด:");

        lblChange.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        lblChange.setText("เงินทอน :");

        txtTotal.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        txtTotal.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtTotal.setText("0");

        txtCash.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        txtCash.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtCash.setText("0");

        txtChange.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        txtChange.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtChange.setText("0");

        lblCurrency.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        lblCurrency.setText("บาท");

        lblCurrency1.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        lblCurrency1.setText("บาท");

        lblCurrency2.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        lblCurrency2.setText("บาท");

        btnBill.setFont(new java.awt.Font("TH SarabunPSK", 1, 36)); // NOI18N
        btnBill.setText("ชำระเงิน");
        btnBill.setMaximumSize(new java.awt.Dimension(100, 100));
        btnBill.setMinimumSize(new java.awt.Dimension(100, 100));
        btnBill.setPreferredSize(new java.awt.Dimension(100, 100));
        btnBill.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnBillActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(btnAdd, javax.swing.GroupLayout.PREFERRED_SIZE, 101, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(btnClear, javax.swing.GroupLayout.PREFERRED_SIZE, 101, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(btnBack, javax.swing.GroupLayout.PREFERRED_SIZE, 121, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jScrollPane1)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(10, 10, 10)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(lblTotal, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(lblCash, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(lblChange, javax.swing.GroupLayout.PREFERRED_SIZE, 105, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(txtTotal, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(lblCurrency))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(txtChange, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(lblCurrency2))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(txtCash, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(lblCurrency1)
                                .addGap(73, 73, 73)
                                .addComponent(btnBill, javax.swing.GroupLayout.PREFERRED_SIZE, 121, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGap(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addGap(23, 23, 23))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(25, 25, 25)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(btnAdd, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(btnClear, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(btnBack, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 189, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(txtTotal)
                                .addComponent(lblCurrency))
                            .addComponent(lblTotal, javax.swing.GroupLayout.PREFERRED_SIZE, 48, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(lblCash)
                            .addComponent(txtCash)
                            .addComponent(lblCurrency1)
                            .addComponent(btnBill, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(lblChange)
                            .addComponent(txtChange)
                            .addComponent(lblCurrency2))
                        .addGap(29, 29, 29))))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

//ปุ่มเพิ่มรายการลงในtableList
    private void btnAddActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAddActionPerformed
        productisSelected();
        getAllTotal();
        txtTotal.setText(Double.toString(sum));
    }//GEN-LAST:event_btnAddActionPerformed

//ปุ่มเคลียร์หน้ารายการทำการเริ่มขายใหม่หรือยกเลิกการขาย
    private void btnClearActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnClearActionPerformed
        clearOption();
        clearCheckbox();
        clearQTY();
        ((DefaultTableModel) tableList.getModel()).setNumRows(0);
    }//GEN-LAST:event_btnClearActionPerformed

//ปุ่มชำระเงินคำนวณเงินทอน
    private void btnBillActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnBillActionPerformed
        int cashInt = Integer.parseInt(txtCash.getText());
        double changeInt = cashInt - sum;
        String changetxt = String.valueOf(changeInt);
        txtChange.setText(changetxt);
    }//GEN-LAST:event_btnBillActionPerformed

    private void btnBackActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnBackActionPerformed
        // TODO add your handling code here:
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new MainFrame().setVisible(true);
            }
        });
        dispose();
    }//GEN-LAST:event_btnBackActionPerformed

//เช็คว่าเมนูไหนถูกเลือกและจำนวนเท่าไหร่
    public void productisSelected() throws NumberFormatException {
        model = (DefaultTableModel) tableList.getModel();
        
        if (productID1.isSelected()) {
            int id = 1;
            qty = Integer.parseInt(qtyID1.getValue().toString());
            name = dao.get(id).getName();
            price = dao.get(id).getPrice();
            total = qty * price;
            model.addRow(new Object[]{name,price,qty,total});
        }
        if (productID2.isSelected()) {
            int id = 2;
            qty = Integer.parseInt(qtyID2.getValue().toString());
            name = dao.get(id).getName();
            price = dao.get(id).getPrice();
            total = qty * price;
            model.addRow(new Object[]{name,price,qty,total});
        }

        if (productID3.isSelected()) {
            int id = 3;
            qty = Integer.parseInt(qtyID3.getValue().toString());
            name = dao.get(id).getName();
            price = dao.get(id).getPrice();
            total = qty * price;
            model.addRow(new Object[]{name,price,qty,total});
        }

        if (productID4.isSelected()) {
            int id = 4;
            qty = Integer.parseInt(qtyID4.getValue().toString());
            name = dao.get(id).getName();
            price = dao.get(id).getPrice();
            total = qty * price;
            model.addRow(new Object[]{name,price,qty,total});
        }

        if (productID5.isSelected()) {
            int id = 5;
            qty = Integer.parseInt(qtyID5.getValue().toString());
            name = dao.get(id).getName();
            price = dao.get(id).getPrice();
            total = qty * price;
            model.addRow(new Object[]{name,price,qty,total});
        }

        if (productID6.isSelected()) {
            int id = 6;
            qty = Integer.parseInt(qtyID6.getValue().toString());
            name = dao.get(id).getName();
            price = dao.get(id).getPrice();
            total = qty * price;
            model.addRow(new Object[]{name,price,qty,total});
        }

        if (productID7.isSelected()) {
            int id = 7;
            qty = Integer.parseInt(qtyID7.getValue().toString());
            name = dao.get(id).getName();
            price = dao.get(id).getPrice();
            total = qty * price;
            model.addRow(new Object[]{name,price,qty,total});
        }

        if (productID8.isSelected()) {
            int id = 8;
            qty = Integer.parseInt(qtyID8.getValue().toString());
            name = dao.get(id).getName();
            price = dao.get(id).getPrice();
            total = qty * price;
            model.addRow(new Object[]{name,price,qty,total});
        }

        if (productID9.isSelected()) {
            int id = 9;
            qty = Integer.parseInt(qtyID9.getValue().toString());
            name = dao.get(id).getName();
            price = dao.get(id).getPrice();
            total = qty * price;
            model.addRow(new Object[]{name,price,qty,total});
        }

        if (productID10.isSelected()) {
            int id = 10;
            qty = Integer.parseInt(qtyID10.getValue().toString());
            name = dao.get(id).getName();
            price = dao.get(id).getPrice();
            total = qty * price;
            model.addRow(new Object[]{name,price,qty,total});
        }
    }
    
//เก็บราคารวมของแต่ละสินค้าในcolumnที่3
    public void getAllTotal() throws NumberFormatException {
        for (int i = 0; i < tableList.getRowCount(); i++) {
            sum = sum + Double.parseDouble(tableList.getValueAt(i, 3).toString());
        }
    }
    
//เคลียร์ค่าใหม่เพื่อเริ่มการขายใหม่
    public void clearOption() {
        sum = 0;
        total = 0;
        txtTotal.setText(Integer.toString(0));
        txtCash.setText("0");
        txtChange.setText("0");
    }
//เคลียร์รายการที่เลือกไว้ให้เป็น uncheck

    public void clearCheckbox() {
        productID1.setSelected(false);
        productID2.setSelected(false);
        productID3.setSelected(false);
        productID4.setSelected(false);
        productID5.setSelected(false);
        productID6.setSelected(false);
        productID7.setSelected(false);
        productID8.setSelected(false);
        productID9.setSelected(false);
        productID10.setSelected(false);
    }
//เคลียร์จำนวนที่เลือกไว้ให้เท่ากับ0

    public void clearQTY() {
        qtyID1.setValue(0);
        qtyID2.setValue(0);
        qtyID3.setValue(0);
        qtyID4.setValue(0);
        qtyID5.setValue(0);
        qtyID6.setValue(0);
        qtyID7.setValue(0);
        qtyID8.setValue(0);
        qtyID9.setValue(0);
        qtyID10.setValue(0);
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(ProductSale.class
                    .getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(ProductSale.class
                    .getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(ProductSale.class
                    .getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(ProductSale.class
                    .getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new ProductSale().setVisible(true);
            }
        });
        
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAdd;
    private javax.swing.JButton btnBack;
    private javax.swing.JButton btnBill;
    private javax.swing.JButton btnClear;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JLabel lblCash;
    private javax.swing.JLabel lblChange;
    private javax.swing.JLabel lblCurrency;
    private javax.swing.JLabel lblCurrency1;
    private javax.swing.JLabel lblCurrency2;
    private javax.swing.JLabel lblPage;
    private javax.swing.JLabel lblTotal;
    private javax.swing.JCheckBox productID1;
    private javax.swing.JCheckBox productID10;
    private javax.swing.JCheckBox productID2;
    private javax.swing.JCheckBox productID3;
    private javax.swing.JCheckBox productID4;
    private javax.swing.JCheckBox productID5;
    private javax.swing.JCheckBox productID6;
    private javax.swing.JCheckBox productID7;
    private javax.swing.JCheckBox productID8;
    private javax.swing.JCheckBox productID9;
    private javax.swing.JSpinner qtyID1;
    private javax.swing.JSpinner qtyID10;
    private javax.swing.JSpinner qtyID2;
    private javax.swing.JSpinner qtyID3;
    private javax.swing.JSpinner qtyID4;
    private javax.swing.JSpinner qtyID5;
    private javax.swing.JSpinner qtyID6;
    private javax.swing.JSpinner qtyID7;
    private javax.swing.JSpinner qtyID8;
    private javax.swing.JSpinner qtyID9;
    private javax.swing.JTable tableList;
    private javax.swing.JTextField txtCash;
    private javax.swing.JTextField txtChange;
    private javax.swing.JTextField txtTotal;
    // End of variables declaration//GEN-END:variables
}
